Bug 1345756 - Fedora Scale-Out Docker Registry
Summary: Fedora Scale-Out Docker Registry
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact:
URL:
Whiteboard: SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 06:50 UTC by Jan Kurik
Modified: 2017-09-24 18:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-24 18:22:26 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-06-13 06:50:53 UTC
This is a tracking bug for Change: Fedora Scale-Out Docker Registry
For more details, see: https://fedoraproject.org//wiki/Changes/FedoraDockerRegistry

This is a proposal for a change to the Fedora Infrastructure and Fedora Release Engineering tooling to provide a scalable Docker Registry solution for Fedora that is integrated with the Fedora Docker Layered Image Build Service.

Comment 1 Jan Kurik 2016-07-26 04:40:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:45 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Adam Miller 2016-07-26 15:08:43 UTC
This is going to miss the deadline. We are behind because of other work and there were some decisions in the original design that are proving to not be workable with MirrorManager so we're going to have to do some more research for a final solution. We should move this out to Fedora 26.

Apologies.

Comment 4 Jan Kurik 2016-08-01 20:21:55 UTC
Based on the FESCo decision deferring this Change to F26: https://fedorahosted.org/fesco/ticket/1606#comment:3

Comment 5 Fedora End Of Life 2017-02-28 09:59:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Randy Barlow 2017-09-24 18:22:26 UTC
The registry is currently deployed HA and has a CDN to handle the large blog files.


Note You need to log in before you can comment on or make changes to this bug.